Browser upgrade..

  • 1
  • Question
  • Updated 8 years ago
  • Answered
During the past week, I cannot log onto the Yola log in page, I receive a pop up saying I need to upgrade my browser. How do I do that, there are no options available.

What am I missing?

Photo of Seshu Moodley

Seshu Moodley

  • 1 Post
  • 0 Reply Likes
  • frustrated!

Posted 8 years ago

  • 1
Photo of John McCarthy

John McCarthy

  • 1292 Posts
  • 99 Reply Likes
Hi Seshu,
First can you please tell us what web browser you are using.
Photo of Sanja

Sanja, Official Rep

  • 10698 Posts
  • 495 Reply Likes
Hello Seshu

If you could please share with us your browser, then we can help you find the appropriate link to click on to upgrade your browser.
Photo of Kershnee


  • 2087 Posts
  • 152 Reply Likes
Hi Seshu - Web browsers are constantly upgrading. As a result, web-based applications need to ensure that their programs run smoothly and up-to-date with the latest and popular versions. Realizing this, Yola strives to keep up with the changing standards so that your experience with our Sitebuilder continues to be a positive one.

As a result, older versions such as Internet Explorer 6, will no longer be supported. This browser version is quickly becoming obsolete as newer versions continue to come out. IE6 no longer has what it takes to bring you the best Yola experience we can provide.

Unfortunately there is no alternative but to upgrade your browser. I would suggest contacting your Network Administrator and requesting an upgrade to your browser. I would suggest an upgrade to the latest version of Firefox.

For further information on other types of browsers we support, please click
Photo of RSPublishing


  • 298 Posts
  • 9 Reply Likes

I assume you are using IE !?

May i suggest you try and download and install Mozilla Firefox and if the problem persists, please let me know and i will do my best to assist in any way that i can.

Personally, i have had endless trouble working on Yola sitebuilder from IE, so i changed to Firefox and the problem seems to have died out :)